Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000502Core InformIndexingpublic2011-01-10 11:312014-05-07 07:34
Reportermikegentry 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000502: world index does not list backdrops in their respective locations
DescriptionIn previous versions of Inform (at least as far as 6E72), backdrops were listed in the index map in each room they were present in. (That is, backdrops that were explicitly placed in specific rooms in a declarative statement.)

Build 6G60 now lists backdrops as "offstage," even if they are explicitly placed in a specific room when they are created.

The sample code below compiles in 6E72 and 6G60. In 6E72, the formica countertop is listed twice in the index map -- once in the Kitchen, once in the Bathroom. In 6G60, the index map lists the countertops as offstage.

Minimal Source Text To Reproduce
Kitchen is a room. Bathroom is a room.

The formica countertop is a backdrop, in the Kitchen and Bathroom.
TagsNo tags attached.
Effect(cosmetic) Index is created incorrectly
Attached Files

- Relationships

-  Notes
(0001371)
graham (administrator)
2011-10-15 05:35

Yes, this wasn't a rethink: it was just a bug (a one-character typo in the code, in fact). Fixed.

- Issue History
Date Modified Username Field Change
2011-01-10 11:31 mikegentry New Issue
2011-01-10 11:56 jmcgrew Severity mild => cosmetic
2011-01-10 11:56 jmcgrew Status new => acknowledged
2011-01-11 10:40 EmacsUser Status acknowledged => confirmed
2011-10-15 05:35 graham Note Added: 0001371
2011-10-15 05:35 graham Status confirmed => resolved
2011-10-15 05:35 graham Resolution open => fixed
2011-10-15 05:35 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker